Skip to main content
GET
Export Subscriptions

Authorizations

Authorization
string
header
required

You can retrieve your API key from your dashboard under Account > Developers.

Path Parameters

shopId
integer
required

The ID of the shop.

Body

application/json
page
integer | null

Page number. Must be at least 1.

Example:

1

perPage
integer | null

Items per page, 1-100. Must be at least 1. Must not be greater than 100.

Example:

null

orderColumn
enum<string> | null
Available options:
id,
created_at,
current_period_end,
recurring_price_usd,
cycles_completed
Example:

null

orderDirection
enum<string> | null
Available options:
asc,
desc
Example:

null

id
integer | null

Filter by subscription ID.

Example:

null

status
enum<string> | null

Deprecated. Use statuses.

Available options:
pending,
trialing,
active,
past_due,
cancelled,
expired
Example:

null

statuses
enum<string>[]
Available options:
pending,
trialing,
active,
past_due,
cancelled,
expired
Example:

null

email
string | null

Filter by customer email.

Example:

null

customer_id
integer | null

Filter by customer ID.

Example:

null

product_id
integer | null

Filter by product ID.

Example:

null

variant_id
integer | null

Filter by variant ID.

Example:

null

product_name
string | null

Filter by product name.

Example:

null

variant_name
string | null

Filter by variant name.

Example:

null

gateways
object | null

Filter by payment gateways.

Example:

null

payment_method_ids
object | null

Filter by payment method IDs.

Example:

null

intervals
enum<string>[]
Available options:
day,
week,
month,
year
Example:

null

renewal_method
enum<string> | null

Filter by automatic or manual renewal.

Available options:
auto,
manual
Example:

null

cancel_at_period_end
boolean | null

Only subscriptions set to end at the period end.

Example:

null

has_failed_payments
boolean | null

Only subscriptions with failed payments.

Example:

null

suspended
boolean | null

Only suspended subscriptions.

Example:

null

currency
string | null

Must be 3 characters.

Example:

null

external_id
string | null

Filter by the gateway subscription ID.

Example:

null

created_at_start
string | null

Must be a valid date.

Example:

null

created_at_end
string | null

Must be a valid date. Must be a date after created_at_start.

Example:

null

current_period_end_start
string | null

Must be a valid date.

Example:

null

current_period_end_end
string | null

Must be a valid date. Must be a date after current_period_end_start.

Example:

null

cancelled_at_start
string | null

Must be a valid date.

Example:

null

cancelled_at_end
string | null

Must be a valid date. Must be a date after cancelled_at_start.

Example:

null

Response

200 - text/plain

The response is of type string.

Example:

"ID,Status,\"Customer ID\",\"E-mail Address\",Product,Variant,Interval,\"Interval Count\",Quantity,Currency,\"Recurring Price\",\"Recurring Price USD\",\"Renewal Method\",Gateway,\"Cycles Completed\",\"Current Period Start\",\"Current Period End\",\"Trial Ends At\",\"Cancel At Period End\",\"Cancelled At\",\"Cancellation Reason\",\"Expired At\",\"Suspended At\",\"Failed Payment Count\",\"External ID\",\"Initial Invoice ID\",\"Created At\"\n1,active,1,customer@sellauth.test,\"License Keys\",Standard,month,1,1,USD,14.99,,manual,,0,,,,No,,,,,0,,1,\"2026-11-06 10:45:19\"\n"